Loading...
Searching...
No Matches
juce::RelativeCoordinatePositionerBase Class Referenceabstract

## Detailed Description

Base class for Component::Positioners that are based upon relative coordinates.

The documentation for this class was generated from the following file:

- juce_gui_basics/positioning/juce_RelativeCoordinatePositioner.h

Inheritance diagram for juce::RelativeCoordinatePositionerBase:

## Classes

class | ComponentScope
| Used for resolving a RelativeCoordinate expression in the context of a component. More...

## Public Member Functions

| RelativeCoordinatePositionerBase (Component &)
| ~RelativeCoordinatePositionerBase () override
void | componentMovedOrResized (Component &, bool, bool) override
| Called when the component's position or size changes.
void | componentParentHierarchyChanged (Component &) override
| Called to indicate that the component's parents have changed.
void | componentChildrenChanged (Component &) override
| Called when the component has children added or removed, or their z-order changes.
void | componentBeingDeleted (Component &) override
| Called when the component is in the process of being deleted.
void | markersChanged (MarkerList *) override
| Called when something in the given marker list changes.
void | markerListBeingDeleted (MarkerList *) override
| Called when the given marker list is being deleted.
void | apply ()
bool | addCoordinate (const RelativeCoordinate &)
bool | addPoint (const RelativePoint &)
Public Member Functions inherited from juce::Component::Positioner
| Positioner (Component &component) noexcept
| Creates a Positioner which can control the specified component.
virtual | ~Positioner ()=default
| Destructor.
Component & | getComponent () const noexcept
| Returns the component that this positioner controls.
virtual void | applyNewBounds (const Rectangle< int > &newBounds)=0
| Attempts to set the component's position to the given rectangle.
Public Member Functions inherited from juce::ComponentListener
virtual | ~ComponentListener ()=default
| Destructor.
virtual void | componentBroughtToFront (Component &component)
| Called when the component is brought to the top of the z-order.
virtual void | componentVisibilityChanged (Component &component)
| Called when the component is made visible or invisible.
virtual void | componentNameChanged (Component &component)
| Called when the component's name is changed.
virtual void | componentEnablementChanged (Component &component)
Public Member Functions inherited from juce::MarkerList::Listener
virtual | ~Listener ()=default
| Destructor.

## Protected Member Functions

virtual bool | registerCoordinates ()=0
virtual void | applyToComponentBounds ()=0

## Constructors and Destructors

## RelativeCoordinatePositionerBase()

juce::RelativeCoordinatePositionerBase::RelativeCoordinatePositionerBase | ( | Component & |  | ) |

Referenced by DependencyFinderScope.

## ~RelativeCoordinatePositionerBase()

juce::RelativeCoordinatePositionerBase::~RelativeCoordinatePositionerBase | ( |  | ) |

override

## Member Functions

## componentMovedOrResized()

void juce::RelativeCoordinatePositionerBase::componentMovedOrResized | ( | Component & | component,
|  | bool | wasMoved,
|  | bool | wasResized )

override virtual

Called when the component's position or size changes.

Parameters

  component | the component that was moved or resized
  wasMoved | true if the component's top-left corner has just moved
  wasResized | true if the component's width or height has just changed

See also
  Component::setBounds, Component::resized, Component::moved

Reimplemented from juce::ComponentListener.

## componentParentHierarchyChanged()

void juce::RelativeCoordinatePositionerBase::componentParentHierarchyChanged | ( | Component & | component | ) |

override virtual

Called to indicate that the component's parents have changed.

When a component is added or removed from its parent, all of its children will produce this notification (recursively - so all children of its children will also be called as well).

Parameters

  component | the component that this listener is registered with

See also
  Component::parentHierarchyChanged

Reimplemented from juce::ComponentListener.

## componentChildrenChanged()

void juce::RelativeCoordinatePositionerBase::componentChildrenChanged | ( | Component & | component | ) |

override virtual

Called when the component has children added or removed, or their z-order changes.

Parameters

  component | the component whose children have changed

See also
  Component::childrenChanged, Component::addChildComponent, Component::removeChildComponent

Reimplemented from juce::ComponentListener.

## componentBeingDeleted()

void juce::RelativeCoordinatePositionerBase::componentBeingDeleted | ( | Component & | component | ) |

override virtual

Called when the component is in the process of being deleted.

This callback is made from inside the destructor, so be very, very cautious about what you do in here.

In particular, bear in mind that it's the Component base class's destructor that calls this - so if the object that's being deleted is a subclass of Component, then the subclass layers of the object will already have been destructed when it gets to this point!

Parameters

  component | the component that was deleted

Reimplemented from juce::ComponentListener.

## markersChanged()

void juce::RelativeCoordinatePositionerBase::markersChanged | ( | MarkerList * | markerList | ) |

override virtual

Called when something in the given marker list changes.

Implements juce::MarkerList::Listener.

## markerListBeingDeleted()

void juce::RelativeCoordinatePositionerBase::markerListBeingDeleted | ( | MarkerList * | markerList | ) |

override virtual

Called when the given marker list is being deleted.

Reimplemented from juce::MarkerList::Listener.

## apply()

void juce::RelativeCoordinatePositionerBase::apply | ( |  | ) |

## addCoordinate()

bool juce::RelativeCoordinatePositionerBase::addCoordinate | ( | const RelativeCoordinate & |  | ) |

## addPoint()

bool juce::RelativeCoordinatePositionerBase::addPoint | ( | const RelativePoint & |  | ) |

## registerCoordinates()

virtual bool juce::RelativeCoordinatePositionerBase::registerCoordinates | ( |  | ) |

protected pure virtual

## applyToComponentBounds()

virtual void juce::RelativeCoordinatePositionerBase::applyToComponentBounds | ( |  | ) |

protected pure virtual

References DependencyFinderScope.

### Purchase

Get JUCE

### Discover

What's New in JUCE Features

### Learn

Documentaion Tutorials Made with JUCE Resources

### Support

JUCE Forum Newsletter Archive

### About

Contact Us JUCE Legal JUCE Licensing FAQ

### Events

Audio Developer Conference
© Raw Material Software Limited